%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# build withouth maven
%define with_maven 0
%bcond_with tests
%define with_tests 0
%define bname       geronimo
%define section     free
%define sver_activation_1_0_2 1.2
%define sver_activation_1_1 1.0
%define sver_annotation_1_0 1.1.0
%define sver_corba_1_0 1.0
%define sver_corba_2_3 1.1
%define sver_corba_3_0 1.1
%define sver_ejb_2_1 1.1
%define sver_ejb_3_0 1.0
%define sver_el_1_0 1.0
%define sver_interceptor_3_0 1.0
%define sver_j2ee_connector_1_5 1.1.1
%define sver_j2ee_deployment_1_1 1.1
%define sver_javaee_deployment_1_1MR3 1.0
%define sver_j2ee_jacc_1_0 1.1
%define sver_jacc_1_1 1.0
%define sver_j2ee_management_1_0 1.1
%define sver_j2ee_management_1_1 1.0
%define sver_javamail_1_3_1 1.3
%define sver_javamail_1_4 1.1
%define sver_jaxr_1_0 1.1
%define sver_jaxrpc_1_1 1.1
%define sver_jms_1_1 1.1
%define sver_jpa_3_0 1.1.0
%define sver_jsp_2_0 1.1
%define sver_jsp_2_1 1.0
%define sver_jta_1_0_1B 1.1.1
%define sver_jta_1_1 1.1.0
%define sver_qname_1_1 1.1
%define sver_saaj_1_1 1.1
%define sver_servlet_2_4 1.1.1
%define sver_servlet_2_5 1.1
%define sver_stax_1_0 1.0
%define sver_ws_metadata_2_0 1.1.1
%define sver_commonj_1_1 1.0

Name:           geronimo-specs
Version:        1.2
Release:        %mkrel 1
Summary:        Geronimo J2EE server J2EE specifications
Url:            http://geronimo.apache.org
License:        The Apache Software License
Group:          Development/Java
Source0:        %{name}-%{version}-src.tar.bz2
# STEPS TO CREATE THE SOURCE FILE
# mkdir geronimo-specs-1.2
# cd geronimo-specs-1.2
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-activation_1.0.2_spec-1.2/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-activation_1.1_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-annotation_1.0_spec-1.1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-ejb_2.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-ejb_3.0_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-el_1.0_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-interceptor_3.0_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-connector_1.5_spec-1.1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-deployment_1.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-jacc_1.0_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-management_1.0_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-management_1.1_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jacc_1.1_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-javaee-deployment_1.1MR3_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-javamail_1.3.1_spec-1.3/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-javamail_1.4_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jaxr_1.0_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jaxrpc_1.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jms_1.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jpa_3.0_spec-1.1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jsp_2.0_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jsp_2.1_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jta_1.0.1B_spec-1.1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jta_1.1_spec-1.1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-qname_1.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-saaj_1.1_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-servlet_2.4_spec-1.1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-servlet_2.5_spec-1.1/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-stax-api_1.0_spec-1.0/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-ws-metadata_2.0_spec-1.1.1/
# # AND FOR COMPLETENESS
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-commonj/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-corba/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-corba-2.3/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-corba-3.0/
# # AS WELL AS
# svn export http://svn.apache.org/repos/asf/geronimo/specs/trunk/geronimo-jaspi_1.0_spec/
# # AND
# curl -O http://svn.apache.org/repos/asf/geronimo/specs/trunk/pom.xml
# curl -O http://svn.apache.org/repos/asf/geronimo/specs/trunk/LICENSE.txt
# curl -O http://svn.apache.org/repos/asf/geronimo/specs/trunk/NOTICE.txt
# curl -O http://svn.apache.org/repos/asf/geronimo/specs/trunk/README.txt
# 
Source1:        %{name}-jpp-depmap.xml
Source1000:     geronimo-specs.build.xml
Source1001:     undot.py
Patch0:         geronimo-specs-1.2-pom_xml.patch
Patch1:         geronimo-specs-jta-1.0.1B-pom_xml.patch
Patch2:         geronimo-specs-j2ee-connector-1.5-pom_xml.patch
Patch3:         geronimo-specs-servlet-2.4-pom_xml.patch
Patch4:         geronimo-specs-j2ee-1.4-pom_xml.patch
Patch5:         geronimo-specs-corba-2.3-pom_xml.patch
BuildRequires:  jpackage-utils >= 1.7.2
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  java-rpmbuild
%if %{with_maven}
BuildRequires:  maven2 >= 2.0.4
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-shared-file-management
BuildRequires:  sed
BuildRequires:  saxon
BuildRequires:  saxon-scripts
# TODO: USE   org.apache.geronimo.genesis.plugins:tools-maven-plugin
# TODO: USE   org.apache.felix:maven-bundle-plugin
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-one
BuildRequires:  maven-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-plugin
BuildRequires:  excalibur-avalon-framework
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  mojo-maven2-plugin-idlj
%else
BuildRequires:  ant
%endif
BuildRequires:  junit >= 3.8.1
%if %{with_tests}
BuildRequires:  jacorb >= 2.3.0-11
BuildRequires:  mockobjects >= 0.09
BuildRequires:  mockobjects < 0.10
BuildRequires:  mockobjects-jdk1_4-j2ee1_4 >= 0.09
BuildRequires:  mockobjects-jdk1_4-j2ee1_4 < 0.10
BuildRequires:  mx4j >= 2.0.1
BuildRequires:  ws-scout
%endif
BuildRequires:  fdupes
# The main package has links to all specs, so it requires all subpackages
# except j2ee-schema (not linked) and javadocs
Requires:       geronimo-commonj-1_1-apis = %{version}
Requires:       geronimo-jaf-1_0_2-api = %{version}
Requires:       geronimo-jaf-1_1-api = %{version}
Requires:       geronimo-annotation-1_0-api = %{version}
Requires:       geronimo-corba-1_0-apis = %{version}
Requires:       geronimo-corba-2_3-apis = %{version}
#Requires: geronimo-corba-3_0-apis = %{version}-%{release}
Requires:       geronimo-ejb-2_1-api = %{version}
Requires:       geronimo-ejb-3_0-api = %{version}
Requires:       geronimo-el-1_0-api = %{version}
Requires:       geronimo-interceptor-3_0-api = %{version}
Requires:       geronimo-j2ee-1_4-apis = %{version}
Requires:       geronimo-j2ee-connector-1_5-api = %{version}
Requires:       geronimo-j2ee-deployment-1_1-api = %{version}
Requires:       geronimo-javaee-deployment-1_1-api = %{version}
Requires:       geronimo-jacc-1_0-api = %{version}
Requires:       geronimo-jacc-1_1-api = %{version}
Requires:       geronimo-j2ee-management-1_0-api = %{version}
Requires:       geronimo-j2ee-management-1_1-api = %{version}
Requires:       geronimo-javamail-1_3_1-api = %{version}
Requires:       geronimo-javamail-1_4-api = %{version}
Requires:       geronimo-jaxr-1_0-api = %{version}
Requires:       geronimo-jaxrpc-1_1-api = %{version}
Requires:       geronimo-jms-1_1-api = %{version}
Requires:       geronimo-jpa-3_0-api = %{version}
Requires:       geronimo-jsp-2_0-api = %{version}
Requires:       geronimo-jsp-2_1-api = %{version}
Requires:       geronimo-jta-1_0_1B-api = %{version}
Requires:       geronimo-jta-1_1-api = %{version}
Requires:       geronimo-qname-1_1-api = %{version}
Requires:       geronimo-saaj-1_1-api = %{version}
Requires:       geronimo-servlet-2_4-api = %{version}
Requires:       geronimo-servlet-2_5-api = %{version}
Requires:       geronimo-stax-1_0-api = %{version}
Requires:       geronimo-ws-metadata-2_0-api = %{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package javadoc
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java

%description javadoc
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-commonj-1_1-apis
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Requires:       %{name}-poms = %{version}
Provides:       commonj_1_1_apis = %{version}-%{release}
Provides:       commonj_apis = 1.1

%description -n geronimo-commonj-1_1-apis
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: CommonJ Spec



%package -n geronimo-jaf-1_0_2-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jaf = 1.0.2
# TODO: drop asap
Provides:       jaf_1_0_2_api = %{version}-%{release}
Provides:       activation_1_0_2_api = %{version}-%{release}
Provides:       jaf_api = 1.0.2
Provides:       activation_api = 1.0.2
Requires:       %{name}-poms = %{version}
# Don't obsolete jaf, classpathx-jaf provides it
# Don't even obsolete it versioned, as sun-jaf is at 1.1
#Obsoletes:    jaf
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jaf-1_0_2-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Java Activation Framework



%package -n geronimo-jaf-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jaf = 1.1
# TODO: drop asap
Provides:       jaf_1_1_api = %{version}-%{release}
Provides:       activation_1_1_api = %{version}-%{release}
Provides:       jaf_api = 1.1
Provides:       activation_api = 1.1
Requires:       %{name}-poms = %{version}
# Don't obsolete jaf, classpathx-jaf provides it
# Don't even obsolete it versioned, as sun-jaf is at 1.1
#Obsoletes:    jaf
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jaf-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-annotation-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       annotation_1_0_api
Provides:       annotation_api = 1.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-annotation-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-corba-1_0-apis
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       corba_1_0_apis = %{version}-%{release}
Provides:       corba_apis = 1.0
Requires:       %{name}-poms = %{version}

%description -n geronimo-corba-1_0-apis
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: CORBA 1.0 Spec



%package -n geronimo-corba-2_3-apis
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       corba_2_3_apis = %{version}-%{release}
Provides:       corba_apis = 2.3
Requires:       %{name}-poms = %{version}

%description -n geronimo-corba-2_3-apis
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: CORBA 2.3 Spec



%package -n geronimo-ejb-2_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       ejb = 2.1
# TODO: drop asap
Provides:       ejb_2_1_api = %{version}-%{release}
Provides:       ejb_api = 2.1
# drop the following asap
Provides:       ejb
Obsoletes:      ejb
Requires:       jta_1_0_1B_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-ejb-2_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Enterprise JavaBeans Specification



%package -n geronimo-ejb-3_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       ejb = 3.0
# TODO: drop asap
Provides:       ejb_3_0_api = %{version}-%{release}
Provides:       ejb_api = 3.0
Obsoletes:      ejb
Requires:       annotation_1_0_api
Requires:       interceptor_3_0_api
Requires:       jta_1_1_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-ejb-3_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-el-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       el_1_0_api = %{version}-%{release}
Provides:       el_api = 1.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-el-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-interceptor-3_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       interceptor_3_0_api = %{version}-%{release}
Provides:       interceptor_api = 3.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-interceptor-3_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-j2ee-1_4-apis
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Requires:       %{name}-poms = %{version}
Provides:       jaf_api = 1.0.2
Provides:       jaf_1_0_2_api = %{version}-%{release}
Provides:       commonj_apis = 1.1
Provides:       commonj_1_1_apis = %{version}-%{release}
Provides:       corba_apis = 2.3
Provides:       corba_2_3_apis = %{version}-%{release}
Provides:       ejb_api = 2.1
Provides:       ejb_2_1_api = %{version}-%{release}
Provides:       j2ee_connector_api = 1.5
Provides:       j2ee_connector_1_5_api = %{version}-%{release}
Provides:       j2ee_deployment_api = 1.1
Provides:       j2ee_deployment_1_1_api = %{version}-%{release}
Provides:       j2ee_management_api = 1.0
Provides:       j2ee_management_1_0_api = %{version}-%{release}
Provides:       jacc_api = 1.0
Provides:       jacc_1_0_api = %{version}-%{release}
Provides:       javamail_api = 1.3.1
Provides:       javamail_1_3_1_api = %{version}-%{release}
Provides:       jaxr_api = 1.0
Provides:       jaxr_1_0_api = %{version}-%{release}
Provides:       jaxrpc_api = 1.1
Provides:       jaxrpc_1_1_api = %{version}-%{release}
Provides:       jms_api = 1.1
Provides:       jms_1_1_api = %{version}-%{release}
Provides:       jsp_api = 2.0
Provides:       jsp_2_0_api = %{version}-%{release}
Provides:       jta_api = 1.0.1B
Provides:       jta_1_0_1B_api = %{version}-%{release}
Provides:       qname_api = 1.1
Provides:       qname_1_1_api = %{version}-%{release}
Provides:       saaj_api = 1.1
Provides:       saaj_1_1_api = %{version}-%{release}
Provides:       servlet_api = 2.4
Provides:       servlet_2_4_api = %{version}-%{release}
# XXX: (dwalluck): section added for backwards compatibility with Fedora 9
#
# Provides:  commonj = 1.1
Provides:       ejb = 2.1
# Provides:  corba = 2.3
Provides:       j2ee-connector = 1.5
Provides:       j2ee-deployment = 1.1
Provides:       j2ee-management = 1.0
Provides:       jacc = 1.0
Provides:       jaf = 1.0.2
Provides:       javamail = 1.3.1
Provides:       jaxr = 1.0
Provides:       jaxrpc = 1.1
Provides:       jms = 1.1
Provides:       jsp = 2.0
Provides:       jta = 1.0.1B
# Provides:  qname = 1.1
Provides:       saaj = 1.1
Provides:       servlet = 2.4
# added Epoch
Provides:       geronimo-corba-2_3-apis = %{version}-%{release}
# added Epoch
Provides:       geronimo-qname-1_1-api = %{version}-%{release}
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#Provides:      javamail = 1.3.1
#
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-j2ee-1_4-apis
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Specification (the complete set in one jar)



%package -n geronimo-j2ee-connector-1_5-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       j2ee_connector_1_5_api = %{version}-%{release}
Provides:       j2ee_connector_api = 1.5
# drop the following asap
Provides:       j2ee-connector = 1.5
Obsoletes:      j2ee-connector
Requires:       jta_1_0_1B_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-j2ee-connector-1_5-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Connector Architecture Specification



%package -n geronimo-j2ee-deployment-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       j2ee_deployment_1_1_api = %{version}-%{release}
Provides:       j2ee_deployment_api = 1.1
# drop the following asap
Provides:       j2ee-deployment = 1.1
Obsoletes:      j2ee-deployment
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-j2ee-deployment-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Application Deployment Specification



%package -n geronimo-javaee-deployment-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       javaee_deployment_1_1_api = %{version}-%{release}
Provides:       javaee_deployment_api = 1.1
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-javaee-deployment-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-jacc-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jacc = 1.0
# TODO: drop asap
Provides:       jacc_1_0_api = %{version}-%{release}
Provides:       jacc_api = 1.0
Requires:       servlet_2_4_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jacc-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Java Authorization Contract for Containers
Specification



%package -n geronimo-jacc-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jacc_1_1_api = %{version}-%{release}
Provides:       jacc_api = 1.1
Requires:       servlet_2_5_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jacc-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-j2ee-management-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       j2ee_management_1_0_api = %{version}-%{release}
Provides:       j2ee_management_api = 1.0
# drop the following asap
Provides:       j2ee-management = 1.0
Obsoletes:      j2ee-management
Requires:       ejb_2_1_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-j2ee-management-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Application Management Specification



%package -n geronimo-j2ee-management-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       j2ee_management_1_1_api = %{version}-%{release}
Provides:       j2ee_management_api = 1.1
# drop the following asap
Provides:       j2ee-management = 1.1
Obsoletes:      j2ee-management
Requires:       ejb_3_0_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-j2ee-management-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-javamail-1_3_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       javamail_1_3_1_api = %{version}-%{release}
Provides:       javamail_api = 1.3.1
Requires:       jaf_1_0_2_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
# Do not provide javamail as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#Provides:    javamail = 1.3.1

%description -n geronimo-javamail-1_3_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: JavaMail API



%package -n geronimo-javamail-1_4-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       javamail_1_4_api = %{version}-%{release}
Provides:       javamail_api = 1.4
Requires:       jaf_1_1_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
# Do not provide javamail as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#Provides:    javamail = 1.4

%description -n geronimo-javamail-1_4-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-jaxr-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jaxr_1_0_api = %{version}-%{release}
Provides:       jaxr_api = 1.0
# drop the following asap
Provides:       jaxr = 1.0
Obsoletes:      jaxr-api
Requires:       jaf_1_0_2_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jaxr-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Java API for XML Registries (JAXR)



%package -n geronimo-jaxrpc-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jaxrpc = 1.1
# TODO: drop asap
Provides:       jaxrpc_1_1_api = %{version}-%{release}
Provides:       jaxrpc_api = 1.1
Requires:       qname_1_1_api
Requires:       saaj_1_1_api
Requires:       servlet_2_4_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jaxrpc-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Java API for XML-Based RPC (JAXRPC)



%package -n geronimo-jms-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jms_1_1_api = %{version}-%{release}
Provides:       jms_api = 1.1
# drop the following asap
Provides:       jms = 1.1
Obsoletes:      jms
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jms-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: JMS Specification



%package -n geronimo-jpa-3_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jpa_3_0_api = %{version}-%{release}
Provides:       jpa_api = 3.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jpa-3_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-jsp-2_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jsp = 2.0
# TODO: drop asap
Provides:       jsp_2_0_api = %{version}-%{release}
Provides:       jsp_api = 2.0
Requires:       servlet_2_4_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jsp-2_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: JavaServer Pages Specification



%package -n geronimo-jsp-2_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jsp = 2.1
# TODO: drop asap
Provides:       jsp_2_1_api = %{version}-%{release}
Provides:       jsp_api = 2.1
Requires:       servlet_2_5_api
Requires:       el_1_0_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jsp-2_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-jta-1_0_1B-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jta_1_0_1B_api = %{version}-%{release}
Provides:       jta_api = 1.0.1B
# drop the following asap
Provides:       jta = 1.0.1B
# Don't obsolete jta, as this is provided by java-1.4.2-gcj-compat
#Obsoletes:    jta
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jta-1_0_1B-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: Java Transaction API Specification



%package -n geronimo-jta-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       jta_1_1_api = %{version}-%{release}
Provides:       jta_api = 1.1
# drop the following asap
Provides:       jta = 1.1
# Don't obsolete jta, as this is provided by java-1.4.2-gcj-compat
#Obsoletes:    jta
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-jta-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-qname-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       qname_1_1_api = %{version}-%{release}
Provides:       qname_api = 1.1
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-qname-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: javax.xml.namespace.QName API



%package -n geronimo-saaj-1_1-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       saaj = 1.1
# TODO: drop asap
Provides:       saaj_1_1_api = %{version}-%{release}
Provides:       saaj_api = 1.1
Requires:       jaf_1_0_2_api
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-saaj-1_1-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: SOAP with Attachments API for Java (SAAJ)



%package -n geronimo-servlet-2_4-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       servlet = 2.4
# TODO: drop asap
Provides:       servlet_2_4_api = %{version}-%{release}
Provides:       servlet_api = 2.4
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-servlet-2_4-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Servlet v2.4 API



%package -n geronimo-servlet-2_5-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       servlet = 2.5
# TODO: drop asap
Provides:       servlet_2_5_api = %{version}-%{release}
Provides:       servlet_api = 2.5
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-servlet-2_5-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-stax-1_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       stax_1_0_api = %{version}-%{release}
Provides:       stax_api = 1.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-stax-1_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package -n geronimo-ws-metadata-2_0-api
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Provides:       ws_metadata_2_0_api = %{version}-%{release}
Provides:       ws_metadata_api = 2.0
Requires:       %{name}-poms = %{version}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description -n geronimo-ws-metadata-2_0-api
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications Note: You should use the subpackages for the
Specifications that you actually need.	The ones installed by the main
package are deprecated and will disapear in future releases.



%package poms
License:        The Apache Software License
Summary:        Geronimo J2EE server J2EE specifications
Group:          Development/Java
Requires(post):   jpackage-utils >= 1.7.3
Requires(postun): jpackage-utils >= 1.7.3

%description poms
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: The Project Object Model files for the
geronimo-specs modules.



%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
mkdir etc
cp LICENSE.txt etc
mkdir external_repo
ln -s %{_javadir} external_repo/JPP
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
cp %{SOURCE1000} build.xml

%build
%if %{with_maven}
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
export CLASSPATH=
mvn-jpp install:install-file \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -DgroupId=mockobjects \
    -DartifactId=mockobjects-jdk1.4-j2ee1.3 \
    -Dversion=0.09 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath mockobjects-jdk1.4-j2ee1.4)
mvn-jpp \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.failure.ignore=true \
    -Dmaven2.jpp.depmap.file=%{SOURCE1} \
%if %without tests
    -Dmaven.test.skip=true \
%endif
    install javadoc:javadoc
pushd geronimo-spec-j2ee
mvn-jpp \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.failure.ignore=true \
    -Dmaven2.jpp.depmap.file=%{SOURCE1} \
%if %without tests
    -Dmaven.test.skip=true \
%endif
    assembly:assembly
popd
# FIXME: (dwalluck): fix build under JDK6
for i in geronimo-annotation_1.0_spec-%{sver_annotation_1_0} geronimo-ejb_3.0_spec-%{sver_ejb_3_0} geronimo-interceptor_3.0_spec-%{sver_interceptor_3_0}; do
    pushd $i
    mvn-jpp \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
%if %without tests
        -Dmaven.test.skip=true \
%endif
        install javadoc:javadoc
    popd
done
%else
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
    -Didlj=%{java_home}/bin/idlj
%endif

%install
# Directory for poms
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
# subpackage jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 \
  geronimo-activation_1.0.2_spec-1.2/target/geronimo-activation_1.0.2_spec-1.2.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jaf-1.0.2-api-%{sver_activation_1_0_2}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaf-1.0.2-api-%{sver_activation_1_0_2}.jar \
         geronimo-jaf-1.0.2-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaf_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaf_1_0_2_api.jar # for %ghost
install -m 0644 geronimo-activation_1.0.2_spec-1.2/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jaf-1.0.2-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-activation_1.0.2_spec %{sver_activation_1_0_2} JPP geronimo-jaf-1.0.2-api
install -m 0644 \
  geronimo-activation_1.1_spec-1.0/target/geronimo-activation_1.1_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jaf-1.1-api-%{sver_activation_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaf-1.1-api-%{sver_activation_1_1}.jar \
         geronimo-jaf-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaf_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaf_1_1_api.jar # for %ghost
install -m 0644 geronimo-activation_1.1_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jaf-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-activation_1.1_spec %{sver_activation_1_1} JPP geronimo-jaf-1.1-api
install -m 0644 \
  geronimo-annotation_1.0_spec-1.1.0/target/geronimo-annotation_1.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-annotation-1.0-api-%{sver_annotation_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-annotation-1.0-api-%{sver_annotation_1_0}.jar \
         geronimo-annotation-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/annotation_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/annotation_1_0_api.jar # for %ghost
install -m 0644 geronimo-annotation_1.0_spec-1.1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-annotation-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-annotation_1.0_spec %{sver_annotation_1_0} JPP geronimo-annotation-1.0-api
install -m 0644 \
  geronimo-spec-corba-2.3/target/geronimo-corba_2.3_spec-null.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-corba-2.3-apis-%{sver_corba_2_3}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-corba-2.3-apis-%{sver_corba_2_3}.jar \
         geronimo-corba-2.3-apis.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/corba_apis.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/corba_2_3_apis.jar # for %ghost
install -m 0644 geronimo-spec-corba-2.3/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-corba-2.3-apis.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-corba_2.3_spec %{sver_corba_2_3} JPP geronimo-corba-2.3-apis
#install -m 0644 \
#  geronimo-spec-corba-3.0/target/geronimo-corba_3.0_spec-null.jar \
#  $RPM_BUILD_ROOT%{_javadir}/geronimo-corba-3.0-apis-%{sver_corba_3_0}.jar
#pushd $RPM_BUILD_ROOT%{_javadir}
#  ln -sf geronimo-corba-3.0-apis-%{sver_corba_3_0}.jar \
#         geronimo-corba-3.0-apis.jar
#popd
#touch $RPM_BUILD_ROOT%{_javadir}/corba_apis.jar # for %ghost
#touch $RPM_BUILD_ROOT%{_javadir}/corba_3_0_apis.jar # for %ghost
#install -m 0644 geronimo-spec-corba-3.0/pom.xml \
#  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-corba-3.0-apis.pom
#%add_to_maven_depmap org.apache.geronimo.specs geronimo-corba_3.0_spec %{sver_corba_3_0} JPP geronimo-corba-3.0-apis
install -m 0644 \
  geronimo-spec-corba/target/geronimo-spec-corba-null.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-corba-1.0-apis-%{sver_corba_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-corba-1.0-apis-%{sver_corba_1_0}.jar \
         geronimo-corba-1.0-apis.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/corba_apis.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/corba_1_0_apis.jar # for %ghost
install -m 0644 geronimo-spec-corba/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-corba-1.0-apis.pom
%add_to_maven_depmap geronimo-spec geronimo-spec-corba %{sver_corba_1_0} JPP geronimo-corba-1.0-apis
install -m 0644 \
  geronimo-ejb_2.1_spec-1.1/target/geronimo-ejb_2.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-ejb-2.1-api-%{sver_ejb_2_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-ejb-2.1-api-%{sver_ejb_2_1}.jar \
         geronimo-ejb-2.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/ejb.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/ejb_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/ejb_2_1_api.jar # for %ghost
install -m 0644 geronimo-ejb_2.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-ejb-2.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-ejb_2.1_spec %{sver_ejb_2_1} JPP geronimo-ejb-2.1-api
install -m 0644 \
  geronimo-ejb_3.0_spec-1.0/target/geronimo-ejb_3.0_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-ejb-3.0-api-%{sver_ejb_3_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-ejb-3.0-api-%{sver_ejb_3_0}.jar \
         geronimo-ejb-3.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/ejb.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/ejb_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/ejb_3_0_api.jar # for %ghost
install -m 0644 geronimo-ejb_3.0_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-ejb-3.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-ejb_3.0_spec %{sver_ejb_3_0} JPP geronimo-ejb-3.0-api
install -m 0644 \
  geronimo-el_1.0_spec-1.0/target/geronimo-el_1.0_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-el-1.0-api-%{sver_el_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-el-1.0-api-%{sver_el_1_0}.jar \
         geronimo-el-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/el_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/el_1_0_api.jar # for %ghost
install -m 0644 geronimo-el_1.0_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-el-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-el_1.0_spec %{sver_el_1_0} JPP geronimo-el-1.0-api
install -m 0644 \
  geronimo-interceptor_3.0_spec-1.0/target/geronimo-interceptor_3.0_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-interceptor-3.0-api-%{sver_interceptor_3_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-interceptor-3.0-api-%{sver_interceptor_3_0}.jar \
         geronimo-interceptor-3.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/interceptor_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/interceptor_3_0_api.jar # for %ghost
install -m 0644 geronimo-interceptor_3.0_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-interceptor-3.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-interceptor_3.0_spec %{sver_interceptor_3_0} JPP geronimo-interceptor-3.0-api
install -m 0644 \
  geronimo-j2ee-connector_1.5_spec-1.1.1/target/geronimo-j2ee-connector_1.5_spec-1.1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-connector-1.5-api-%{sver_j2ee_connector_1_5}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-connector-1.5-api-%{sver_j2ee_connector_1_5}.jar \
         geronimo-j2ee-connector-1.5-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-connector.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_1_5_api.jar # for %ghost
install -m 0644 geronimo-j2ee-connector_1.5_spec-1.1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-j2ee-connector-1.5-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-connector_1.5_spec %{sver_j2ee_connector_1_5} JPP geronimo-j2ee-connector-1.5-api
install -m 0644 \
  geronimo-j2ee-deployment_1.1_spec-1.1/target/geronimo-j2ee-deployment_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-deployment-1.1-api-%{sver_j2ee_deployment_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-deployment-1.1-api-%{sver_j2ee_deployment_1_1}.jar \
         geronimo-j2ee-deployment-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-deployment.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_deployment_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_deployment_1_1_api.jar # for %ghost
install -m 0644 geronimo-j2ee-deployment_1.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-j2ee-deployment-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-deployment_1.1_spec %{sver_j2ee_deployment_1_1} JPP geronimo-j2ee-deployment-1.1-api
install -m 0644 \
  geronimo-javaee-deployment_1.1MR3_spec-1.0/target/geronimo-javaee-deployment_1.1MR3_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-javaee-deployment-1.1-api-%{sver_javaee_deployment_1_1MR3}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-javaee-deployment-1.1-api-%{sver_javaee_deployment_1_1MR3}.jar \
         geronimo-javaee-deployment-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/javaee_deployment_1_1MR3_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/javaee_deployment_api.jar # for %ghost
install -m 0644 geronimo-javaee-deployment_1.1MR3_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-javaee-deployment-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-javaee-deployment_1.1_spec %{sver_javaee_deployment_1_1MR3} JPP geronimo-javaee-deployment-1.1-api
install -m 0644 \
  geronimo-j2ee-jacc_1.0_spec-1.1/target/geronimo-j2ee-jacc_1.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jacc-1.0-api-%{sver_j2ee_jacc_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jacc-1.0-api-%{sver_j2ee_jacc_1_0}.jar \
         geronimo-jacc-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jacc.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jacc_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jacc_1_0_api.jar # for %ghost
install -m 0644 geronimo-j2ee-jacc_1.0_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jacc-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-jacc_1.0_spec %{sver_j2ee_jacc_1_0} JPP geronimo-jacc-1.0-api
install -m 0644 \
  geronimo-jacc_1.1_spec-1.0/target/geronimo-jacc_1.1_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jacc-1.1-api-%{sver_jacc_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jacc-1.1-api-%{sver_jacc_1_1}.jar \
         geronimo-jacc-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jacc_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jacc_1_1_api.jar # for %ghost
install -m 0644 geronimo-jacc_1.1_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jacc-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-jacc_1.1_spec %{sver_jacc_1_1} JPP geronimo-jacc-1.1-api
install -m 0644 \
  geronimo-j2ee-management_1.0_spec-1.1/target/geronimo-j2ee-management_1.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-management-1.0-api-%{sver_j2ee_management_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-management-1.0-api-%{sver_j2ee_management_1_0}.jar \
         geronimo-j2ee-management-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-management.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_management_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_management_1_0_api.jar # for %ghost
install -m 0644 geronimo-j2ee-management_1.0_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-j2ee-management-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-management_1.0_spec %{sver_j2ee_management_1_0} JPP geronimo-j2ee-management-1.0-api
install -m 0644 \
  geronimo-j2ee-management_1.1_spec-1.0/target/geronimo-j2ee-management_1.1_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-management-1.1-api-%{sver_j2ee_management_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-management-1.1-api-%{sver_j2ee_management_1_1}.jar \
         geronimo-j2ee-management-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-management.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_management_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_management_1_1_api.jar # for %ghost
install -m 0644 geronimo-j2ee-management_1.1_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-j2ee-management-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee-management_1.1_spec %{sver_j2ee_management_1_1} JPP geronimo-j2ee-management-1.1-api
install -m 0644 \
  geronimo-javamail_1.3.1_spec-1.3/target/geronimo-javamail_1.3.1_spec-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-javamail-1.3.1-api-%{sver_javamail_1_3_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-javamail-1.3.1-api-%{sver_javamail_1_3_1}.jar \
         geronimo-javamail-1.3.1-api.jar
popd
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#touch $RPM_BUILD_ROOT%{_javadir}/javamail.jar # for %ghost
# but:
touch $RPM_BUILD_ROOT%{_javadir}/javamail_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/javamail_1_3_1_api.jar # for %ghost
install -m 0644 geronimo-javamail_1.3.1_spec-1.3/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-javamail-1.3.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-javamail_1.3.1_spec %{sver_javamail_1_3_1} JPP geronimo-javamail-1.3.1-api
install -m 0644 \
  geronimo-javamail_1.4_spec-1.1/target/geronimo-javamail_1.4_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-javamail-1.4-api-%{sver_javamail_1_4}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-javamail-1.4-api-%{sver_javamail_1_4}.jar \
         geronimo-javamail-1.4-api.jar
popd
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#touch $RPM_BUILD_ROOT%{_javadir}/javamail.jar # for %ghost
# but:
touch $RPM_BUILD_ROOT%{_javadir}/javamail_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/javamail_1_4_api.jar # for %ghost
install -m 0644 geronimo-javamail_1.4_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-javamail-1.4-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-javamail_1.4_spec %{sver_javamail_1_4} JPP geronimo-javamail-1.4-api
install -m 0644 \
  geronimo-jaxr_1.0_spec-1.1/target/geronimo-jaxr_1.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jaxr-1.0-api-%{sver_jaxr_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaxr-1.0-api-%{sver_jaxr_1_0}.jar \
         geronimo-jaxr-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaxr.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_1_0_api.jar # for %ghost
install -m 0644 geronimo-jaxr_1.0_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jaxr-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jaxr_1.0_spec %{sver_jaxr_1_0} JPP geronimo-jaxr-1.0-api
install -m 0644 \
  geronimo-jaxrpc_1.1_spec-1.1/target/geronimo-jaxrpc_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jaxrpc-1.1-api-%{sver_jaxrpc_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaxrpc-1.1-api-%{sver_jaxrpc_1_1}.jar \
         geronimo-jaxrpc-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaxrpc.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaxrpc_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jaxrpc_1_1_api.jar # for %ghost
install -m 0644 geronimo-jaxrpc_1.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jaxrpc-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jaxrpc_1.1_spec %{sver_jaxrpc_1_1} JPP geronimo-jaxrpc-1.1-api
install -m 0644 \
  geronimo-spec-j2ee/target/geronimo-j2ee_1.4_spec-1.2-jar-with-dependencies.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-1.4-apis-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-1.4-apis-%{version}.jar \
         geronimo-j2ee-1.4-apis.jar
popd
install -m 0644 geronimo-spec-j2ee/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-j2ee-1.4-apis.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-j2ee_1.4_spec %{version} JPP geronimo-j2ee-1.4-apis
install -m 0644 \
  geronimo-jms_1.1_spec-1.1/target/geronimo-jms_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jms-1.1-api-%{sver_jms_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jms-1.1-api-%{sver_jms_1_1}.jar \
         geronimo-jms-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jms.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jms_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jms_1_1_api.jar # for %ghost
install -m 0644 geronimo-jms_1.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jms-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jms_1.1_spec %{sver_jms_1_1} JPP geronimo-jms-1.1-api
install -m 0644 \
  geronimo-jpa_3.0_spec-1.1.0/target/geronimo-jpa_3.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jpa-3.0-api-%{sver_jpa_3_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jpa-3.0-api-%{sver_jpa_3_0}.jar \
         geronimo-jpa-3.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jpa_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jpa_3_0_api.jar # for %ghost
install -m 0644 geronimo-jpa_3.0_spec-1.1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jpa-3.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jpa_3.0_spec %{sver_jpa_3_0} JPP geronimo-jpa-3.0-api
install -m 0644 \
  geronimo-jsp_2.0_spec-1.1/target/geronimo-jsp_2.0_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jsp-2.0-api-%{sver_jsp_2_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jsp-2.0-api-%{sver_jsp_2_0}.jar \
         geronimo-jsp-2.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jsp.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jsp_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jsp_2_0_api.jar # for %ghost
install -m 0644 geronimo-jsp_2.0_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jsp-2.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jsp_2.0_spec %{sver_jsp_2_0} JPP geronimo-jsp-2.0-api
install -m 0644 \
  geronimo-jsp_2.1_spec-1.0/target/geronimo-jsp_2.1_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jsp-2.1-api-%{sver_jsp_2_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jsp-2.1-api-%{sver_jsp_2_1}.jar \
         geronimo-jsp-2.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jsp.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jsp_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jsp_2_1_api.jar # for %ghost
install -m 0644 geronimo-jsp_2.1_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jsp-2.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jsp_2.1_spec %{sver_jsp_2_1} JPP geronimo-jsp-2.1-api
install -m 0644 \
  geronimo-jta_1.0.1B_spec-1.1.1/target/geronimo-jta_1.0.1B_spec-1.1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jta-1.0.1B-api-%{sver_jta_1_0_1B}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jta-1.0.1B-api-%{sver_jta_1_0_1B}.jar \
         geronimo-jta-1.0.1B-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jta.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jta_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jta_1_0_1B_api.jar # for %ghost
install -m 0644 geronimo-jta_1.0.1B_spec-1.1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jta-1.0.1B-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jta_1.0.1B_spec %{sver_jta_1_0_1B} JPP geronimo-jta-1.0.1B-api
install -m 0644 \
  geronimo-jta_1.1_spec-1.1.0/target/geronimo-jta_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-jta-1.1-api-%{sver_jta_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jta-1.1-api-%{sver_jta_1_1}.jar \
         geronimo-jta-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jta.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jta_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/jta_1_1_api.jar # for %ghost
install -m 0644 geronimo-jta_1.1_spec-1.1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-jta-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-jta_1.1_spec %{sver_jta_1_1} JPP geronimo-jta-1.1-api
install -m 0644 \
  geronimo-qname_1.1_spec-1.1/target/geronimo-qname_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-qname-1.1-api-%{sver_qname_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-qname-1.1-api-%{sver_qname_1_1}.jar \
         geronimo-qname-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/qname_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/qname_1_1_api.jar # for %ghost
install -m 0644 geronimo-qname_1.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-qname-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-qname_1.1_spec %{sver_qname_1_1} JPP geronimo-qname-1.1-api
install -m 0644 \
  geronimo-saaj_1.1_spec-1.1/target/geronimo-saaj_1.1_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-saaj-1.1-api-%{sver_saaj_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-saaj-1.1-api-%{sver_saaj_1_1}.jar \
         geronimo-saaj-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/saaj.jar
touch $RPM_BUILD_ROOT%{_javadir}/saaj_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/saaj_1_1_api.jar
install -m 0644 geronimo-saaj_1.1_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-saaj-1.1-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-saaj_1.1_spec %{sver_saaj_1_1} JPP geronimo-saaj-1.1-api
install -m 0644 \
  geronimo-servlet_2.4_spec-1.1.1/target/geronimo-servlet_2.4_spec-1.1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-servlet-2.4-api-%{sver_servlet_2_4}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-servlet-2.4-api-%{sver_servlet_2_4}.jar \
         geronimo-servlet-2.4-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/servlet.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/servlet_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/servlet_2_4_api.jar # for %ghost
install -m 0644 geronimo-servlet_2.4_spec-1.1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-servlet-2.4-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-servlet_2.4_spec %{sver_servlet_2_4} JPP geronimo-servlet-2.4-api
install -m 0644 \
  geronimo-servlet_2.5_spec-1.1/target/geronimo-servlet_2.5_spec-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-servlet-2.5-api-%{sver_servlet_2_5}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-servlet-2.5-api-%{sver_servlet_2_5}.jar \
         geronimo-servlet-2.5-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/servlet.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/servlet_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/servlet_2_5_api.jar # for %ghost
install -m 0644 geronimo-servlet_2.5_spec-1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-servlet-2.5-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-servlet_2.5_spec %{sver_servlet_2_5}.0.1 JPP geronimo-servlet-2.5-api
install -m 0644 \
  geronimo-stax-api_1.0_spec-1.0/target/geronimo-stax-api_1.0_spec-1.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-stax-1.0-api-%{sver_stax_1_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-stax-1.0-api-%{sver_stax_1_0}.jar \
         geronimo-stax-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/stax_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/stax_1_0_api.jar # for %ghost
install -m 0644 geronimo-stax-api_1.0_spec-1.0/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-stax-1.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-stax_1.0_spec %{sver_stax_1_0} JPP geronimo-stax-1.0-api
install -m 0644 \
  geronimo-ws-metadata_2.0_spec-1.1.1/target/geronimo-ws-metadata_2.0_spec-1.1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-ws-metadata-2.0-api-%{sver_ws_metadata_2_0}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-ws-metadata-2.0-api-%{sver_ws_metadata_2_0}.jar \
         geronimo-ws-metadata-2.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/ws_metadata_api.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/ws_metadata_2_0_api.jar # for %ghost
install -m 0644 geronimo-ws-metadata_2.0_spec-1.1.1/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-ws-metadata-2.0-api.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-ws-metadata_2.0_spec %{sver_ws_metadata_2_0} JPP geronimo-ws-metadata-2.0-api
install -m 0644 \
  geronimo-spec-commonj/target/geronimo-commonj_1.1_spec-null.jar \
  $RPM_BUILD_ROOT%{_javadir}/geronimo-commonj-1.1-apis-%{sver_commonj_1_1}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-commonj-1.1-apis-%{sver_commonj_1_1}.jar \
         geronimo-commonj-1.1-apis.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/commonj_apis.jar # for %ghost
touch $RPM_BUILD_ROOT%{_javadir}/commonj_1_1_apis.jar # for %ghost
install -m 0644 geronimo-spec-commonj/pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-commonj-1.1-apis.pom
%add_to_maven_depmap org.apache.geronimo.specs geronimo-commonj_1.1_spec %{sver_commonj_1_1} JPP geronimo-commonj-1.1-apis
# Add the parent geronimo-specs pom
cp pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-geronimo-specs.pom
%add_to_maven_depmap org.apache.geronimo.specs specs 1.1 JPP geronimo-specs
# main package jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/geronimo
pushd $RPM_BUILD_ROOT%{_javadir}/geronimo
  ln -sf ../geronimo-commonj-1.1-apis-%{version}.jar spec-commonj-1.1-%{version}.jar
  ln -sf spec-commonj-1.1-%{version}.jar spec-commonj-1.1.jar
  ln -sf ../geronimo-jaf-1.0.2-api-%{version}.jar spec-jaf-1.0.2-%{version}.jar
  ln -sf spec-jaf-1.0.2-%{version}.jar spec-jaf-1.0.2.jar
  ln -sf ../geronimo-jaf-1.1-api-%{version}.jar spec-jaf-1.1-%{version}.jar
  ln -sf spec-jaf-1.1-%{version}.jar spec-jaf-1.1.jar
  ln -sf ../geronimo-annotation-1.0-api-%{version}.jar spec-annotation-1.0-%{version}.jar
  ln -sf spec-annotation-1.0-%{version}.jar spec-annotation-1.0.jar
  ln -sf ../geronimo-ejb-2.1-api-%{version}.jar spec-ejb-2.1-%{version}.jar
  ln -sf spec-ejb-2.1-%{version}.jar spec-ejb-2.1.jar
  ln -sf ../geronimo-ejb-3.0-api-%{version}.jar spec-ejb-3.0-%{version}.jar
  ln -sf spec-ejb-3.0-%{version}.jar spec-ejb-3.0.jar
  ln -sf ../geronimo-el-1.0-api-%{version}.jar spec-el-1.0-%{version}.jar
  ln -sf spec-el-1.0-%{version}.jar spec-el-1.0.jar
  ln -sf ../geronimo-interceptor-3.0-api-%{version}.jar spec-interceptor-3.0-%{version}.jar
  ln -sf spec-interceptor-3.0-%{version}.jar spec-interceptor-3.0.jar
  ln -sf ../geronimo-j2ee-connector-1.5-api-%{version}.jar \
    spec-j2ee-connector-1.5-%{version}.jar
  ln -sf spec-j2ee-connector-1.5-%{version}.jar spec-j2ee-connector-1.5.jar
  ln -sf ../geronimo-j2ee-deployment-1.1-api-%{version}.jar \
    spec-j2ee-deployment-1.1-%{version}.jar
  ln -sf spec-j2ee-deployment-1.1-%{version}.jar spec-j2ee-deployment-1.1.jar
  ln -sf ../geronimo-javaee-deployment-1.1-api-%{version}.jar \
    spec-javaee-deployment-1.1-%{version}.jar
  ln -sf spec-javaee-deployment-1.1-%{version}.jar spec-javaee-deployment-1.1.jar
  ln -sf ../geronimo-jacc-1.0-api-%{version}.jar spec-jacc-1.0-%{version}.jar
  ln -sf spec-jacc-1.0-%{version}.jar spec-jacc-1.0.jar
  ln -sf ../geronimo-jacc-1.1-api-%{version}.jar spec-jacc-1.1-%{version}.jar
  ln -sf spec-jacc-1.1-%{version}.jar spec-jacc-1.1.jar
  ln -sf ../geronimo-j2ee-management-1.0-api-%{version}.jar \
    spec-j2ee-management-1.0-%{version}.jar
  ln -sf spec-j2ee-management-1.0-%{version}.jar spec-j2ee-management-1.0.jar
  ln -sf ../geronimo-j2ee-management-1.1-api-%{version}.jar \
    spec-j2ee-management-1.1-%{version}.jar
  ln -sf spec-j2ee-management-1.1-%{version}.jar spec-j2ee-management-1.1.jar
  ln -sf ../geronimo-j2ee-1.4-apis-%{version}.jar spec-j2ee-1.4-%{version}.jar
  ln -sf spec-j2ee-1.4-%{version}.jar spec-j2ee-1.4.jar
  ln -sf ../geronimo-jms-1.1-api-%{version}.jar spec-jms-1.1-%{version}.jar
  ln -sf spec-jms-1.1-%{version}.jar spec-jms-1.1.jar
  ln -sf ../geronimo-jpa-3.0-api-%{version}.jar spec-jpa-3.0-%{version}.jar
  ln -sf spec-jpa-3.0-%{version}.jar spec-jpa-3.0.jar
  ln -sf ../geronimo-jsp-2.0-api-%{version}.jar spec-jsp-2.0-%{version}.jar
  ln -sf spec-jsp-2.0-%{version}.jar spec-jsp-2.0.jar
  ln -sf ../geronimo-jsp-2.1-api-%{version}.jar spec-jsp-2.1-%{version}.jar
  ln -sf spec-jsp-2.1-%{version}.jar spec-jsp-2.1.jar
  ln -sf ../geronimo-jta-1.0.1B-api-%{version}.jar spec-jta-1.0.1B-%{version}.jar
  ln -sf spec-jta-1.0.1B-%{version}.jar spec-jta-1.0.1B.jar
  ln -sf ../geronimo-jta-1.1-api-%{version}.jar spec-jta-1.1-%{version}.jar
  ln -sf spec-jta-1.1-%{version}.jar spec-jta-1.1.jar
  ln -sf ../geronimo-servlet-2.4-api-%{version}.jar spec-servlet-2.4-%{version}.jar
  ln -sf spec-servlet-2.4-%{version}.jar spec-servlet-2.4.jar
  ln -sf ../geronimo-servlet-2.5-api-%{version}.jar spec-servlet-2.5-%{version}.jar
  ln -sf spec-servlet-2.5-%{version}.jar spec-servlet-2.5.jar
  ln -sf ../geronimo-stax-1.0-api-%{version}.jar spec-stax-1.0-%{version}.jar
  ln -sf spec-stax-1.0-%{version}.jar spec-stax-1.0.jar
  ln -sf ../geronimo-ws-metadata-2.0-api-%{version}.jar spec-ws-metadata-2.0-%{version}.jar
  ln -sf spec-ws-metadata-2.0-%{version}.jar spec-ws-metadata-2.0.jar
popd
#install -p -m 0644 modules/j2ee-schema/target/geronimo-j2ee-schema-1.0-M4.jar \
#          $RPM_BUILD_ROOT%{_javadir}/geronimo/spec-j2ee-schema-1.0-M4.jar
#pushd $RPM_BUILD_ROOT%{_javadir}/geronimo
#  ln -sf spec-j2ee-schema-1.0-M4.jar spec-j2ee-schema-1.0.jar
#popd
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaf-1.0.2
    cp -pr geronimo-activation_1.0.2_spec-1.2/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaf-1.0.2
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaf-1.1
    cp -pr geronimo-activation_1.1_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaf-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/annotation-1.0
    cp -pr geronimo-annotation_1.0_spec-1.1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/annotation-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/commonj-1.1
    cp -pr geronimo-spec-commonj/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/commonj-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-1.0
    cp -pr geronimo-spec-corba/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-2.3
    cp -pr geronimo-spec-corba-2.3/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-2.3
#install -d -m 755 \
#       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-3.0
#    cp -pr geronimo-spec-corba-3.0/target/site/apidocs/* \
#       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/corba-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ejb-2.1
    cp -pr geronimo-ejb_2.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ejb-2.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ejb-3.0
    cp -pr geronimo-ejb_3.0_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ejb-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/el-1.0
    cp -pr geronimo-el_1.0_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/el-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/interceptor-3.0
    cp -pr geronimo-interceptor_3.0_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/interceptor-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-connector-1.5
    cp -pr geronimo-j2ee-connector_1.5_spec-1.1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-connector-1.5
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-deployment-1.1
    cp -pr geronimo-j2ee-deployment_1.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-deployment-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javaee-deployment-1.1
    cp -pr geronimo-javaee-deployment_1.1MR3_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javaee-deployment-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-management-1.0
    cp -pr geronimo-j2ee-management_1.0_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-management-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-management-1.1
    cp -pr geronimo-j2ee-management_1.1_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-management-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-1.3.1
    cp -pr geronimo-javamail_1.3.1_spec-1.3/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-1.3.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-1.4
    cp -pr geronimo-javamail_1.4_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-1.4
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxrpc-1.1
    cp -pr geronimo-jaxrpc_1.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxrpc-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxr-1.0
    cp -pr geronimo-jaxr_1.0_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxr-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jms-1.1
    cp -pr geronimo-jms_1.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jms-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jpa-3.0
    cp -pr geronimo-jpa_3.0_spec-1.1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jpa-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jsp-2.0
    cp -pr geronimo-jsp_2.0_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jsp-2.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jsp-2.1
    cp -pr geronimo-jsp_2.1_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jsp-2.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jta-1.0.1B
    cp -pr geronimo-jta_1.0.1B_spec-1.1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jta-1.0.1B
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jta-1.1
    cp -pr geronimo-jta_1.1_spec-1.1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jta-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/qname-1.1
    cp -pr geronimo-qname_1.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/qname-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/saaj-1.1
    cp -pr geronimo-saaj_1.1_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/saaj-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servlet-2.4
    cp -pr geronimo-servlet_2.4_spec-1.1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servlet-2.4
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servlet-2.5
    cp -pr geronimo-servlet_2.5_spec-1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servlet-2.5
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/stax-1.0
    cp -pr geronimo-stax-api_1.0_spec-1.0/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/stax-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ws-metadata-2.0
    cp -pr geronimo-ws-metadata_2.0_spec-1.1.1/target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ws-metadata-2.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jacc-1.0
    cp -pr geronimo-j2ee-jacc_1.0_spec-1.1/target/site/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jacc-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jacc-1.1
    cp -pr geronimo-jacc_1.1_spec-1.0/target/site/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jacc-1.1
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
# documents
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaf-1.0.2
    cp -pr geronimo-activation_1.0.2_spec-1.2/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaf-1.0.2
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaf-1.1
    cp -pr geronimo-activation_1.1_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaf-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/annotation-1.0
    cp -pr geronimo-annotation_1.0_spec-1.1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/annotation-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/commonj-1.1
    cp -pr geronimo-spec-commonj/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/commonj-1.1
#install -d -m 755 \
#       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-1.0
#    cp -pr geronimo-spec-corba/LICENSE.txt \
#       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-2.3
    cp -pr geronimo-spec-corba-2.3/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-2.3
#install -d -m 755 \
#       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-3.0
#    cp -pr geronimo-spec-corba-3.0/LICENSE.txt \
#       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/corba-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ejb-2.1
    cp -pr geronimo-ejb_2.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ejb-2.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ejb-3.0
    cp -pr geronimo-ejb_3.0_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ejb-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/el-1.0
    cp -pr geronimo-el_1.0_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/el-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/interceptor-3.0
    cp -pr geronimo-interceptor_3.0_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/interceptor-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-connector-1.5
    cp -pr geronimo-j2ee-connector_1.5_spec-1.1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-connector-1.5
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-deployment-1.1
    cp -pr geronimo-j2ee-deployment_1.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-deployment-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javaee-deployment-1.1
    cp -pr geronimo-javaee-deployment_1.1MR3_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javaee-deployment-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-management-1.0
    cp -pr geronimo-j2ee-management_1.0_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-management-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-management-1.1
    cp -pr geronimo-j2ee-management_1.1_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-management-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javamail-1.3.1
    cp -pr geronimo-javamail_1.3.1_spec-1.3/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javamail-1.3.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javamail-1.4
    cp -pr geronimo-javamail_1.4_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/javamail-1.4
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaxrpc-1.1
    cp -pr geronimo-jaxrpc_1.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaxrpc-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaxr-1.0
    cp -pr geronimo-jaxr_1.0_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jaxr-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jms-1.1
    cp -pr geronimo-jms_1.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jms-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jpa-3.0
    cp -pr geronimo-jpa_3.0_spec-1.1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jpa-3.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jsp-2.0
    cp -pr geronimo-jsp_2.0_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jsp-2.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jsp-2.1
    cp -pr geronimo-jsp_2.1_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jsp-2.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jta-1.0.1B
    cp -pr geronimo-jta_1.0.1B_spec-1.1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jta-1.0.1B
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jta-1.1
    cp -pr geronimo-jta_1.1_spec-1.1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jta-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/qname-1.1
    cp -pr geronimo-qname_1.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/qname-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/saaj-1.1
    cp -pr geronimo-saaj_1.1_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/saaj-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/servlet-2.4
    cp -pr geronimo-servlet_2.4_spec-1.1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/servlet-2.4
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/servlet-2.5
    cp -pr geronimo-servlet_2.5_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/servlet-2.5
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/stax-1.0
    cp -pr geronimo-stax-api_1.0_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/stax-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ws-metadata-2.0
    cp -pr geronimo-ws-metadata_2.0_spec-1.1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ws-metadata-2.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jacc-1.0
    cp -pr geronimo-j2ee-jacc_1.0_spec-1.1/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jacc-1.0
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jacc-1.1
    cp -pr geronimo-jacc_1.1_spec-1.0/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/jacc-1.1
install -d -m 755 \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-1.4
    cp -pr geronimo-spec-j2ee/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/j2ee-1.4
cp -pr etc/LICENSE.txt \
       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fdupes -s %{buildroot}/%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post poms
%update_maven_depmap

%postun poms
%update_maven_depmap
#%triggerpostun -n geronimo-jaf-1.0.2-api -- classpathx-jaf <= 1.0-2jpp_4rh
## Remove file from old non-free packages
#rm -f %{_javadir}/jaf.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jaf %{_javadir}/jaf.jar

%post -n geronimo-commonj-1_1-apis
%{_sbindir}/update-alternatives --install %{_javadir}/commonj_apis.jar commonj_apis %{_javadir}/geronimo-commonj-1.1-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/commonj_1_1_apis.jar commonj_1_1_apis %{_javadir}/geronimo-commonj-1.1-apis.jar 10100

%preun -n geronimo-commonj-1_1-apis
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove commonj_apis %{_javadir}/geronimo-commonj-1.1-apis.jar
    %{_sbindir}/update-alternatives --remove commonj_1_1_apis %{_javadir}/geronimo-commonj-1.1-apis.jar
fi

%post -n geronimo-jaf-1_0_2-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/geronimo-jaf-1.0.2-api.jar 10002
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_api.jar jaf_api %{_javadir}/geronimo-jaf-1.0.2-api.jar 10002
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_1_0_2_api.jar jaf_1_0_2_api %{_javadir}/geronimo-jaf-1.0.2-api.jar 10002

%preun -n geronimo-jaf-1_0_2-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaf %{_javadir}/geronimo-jaf-1.0.2-api.jar
    %{_sbindir}/update-alternatives --remove jaf_api %{_javadir}/geronimo-jaf-1.0.2-api.jar
    %{_sbindir}/update-alternatives --remove jaf_1_0_2_api %{_javadir}/geronimo-jaf-1.0.2-api.jar
fi

%post -n geronimo-jaf-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/geronimo-jaf-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_api.jar jaf_api %{_javadir}/geronimo-jaf-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_1_1_api.jar jaf_1_1_api %{_javadir}/geronimo-jaf-1.1-api.jar 10100

%preun -n geronimo-jaf-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaf %{_javadir}/geronimo-jaf-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jaf_api %{_javadir}/geronimo-jaf-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jaf_1_1_api %{_javadir}/geronimo-jaf-1.1-api.jar
fi

%post -n geronimo-annotation-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/annotation_api.jar annotation_api %{_javadir}/geronimo-annotation-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/annotation_1_0_api.jar annotation_1_0_api %{_javadir}/geronimo-annotation-1.0-api.jar 10000

%preun -n geronimo-annotation-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove annotation_api %{_javadir}/geronimo-annotation-1.0-api.jar
    %{_sbindir}/update-alternatives --remove annotation_1_0_api %{_javadir}/geronimo-annotation-1.0-api.jar
fi

%post -n geronimo-corba-1_0-apis
%{_sbindir}/update-alternatives --install %{_javadir}/corba_apis.jar corba_apis %{_javadir}/geronimo-corba-1.0-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/corba_1_0_apis.jar corba_1_0_apis %{_javadir}/geronimo-corba-1.0-apis.jar 10000

%preun -n geronimo-corba-1_0-apis
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove corba_apis %{_javadir}/geronimo-corba-1.0-apis.jar
    %{_sbindir}/update-alternatives --remove corba_1_0_apis %{_javadir}/geronimo-corba-1.0-apis.jar
fi

%post -n geronimo-corba-2_3-apis
%{_sbindir}/update-alternatives --install %{_javadir}/corba_apis.jar corba_apis %{_javadir}/geronimo-corba-2.3-apis.jar 20300
%{_sbindir}/update-alternatives --install %{_javadir}/corba_2_3_apis.jar corba_2_3_apis %{_javadir}/geronimo-corba-2.3-apis.jar 20300

%preun -n geronimo-corba-2_3-apis
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove corba_apis %{_javadir}/geronimo-corba-2.3-apis.jar
    %{_sbindir}/update-alternatives --remove corba_2_3_apis %{_javadir}/geronimo-corba-2.3-apis.jar
fi
#%post -n geronimo-corba-3.0-apis
#%{_sbindir}/update-alternatives --install %{_javadir}/corba_apis.jar corba_apis %{_javadir}/geronimo-corba-3.0-apis.jar 30000
#%{_sbindir}/update-alternatives --install %{_javadir}/corba_3_0_apis.jar corba_3_0_apis %{_javadir}/geronimo-corba-3.0-apis.jar 30000
#%if %{gcj_support}
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif
#%preun -n geronimo-corba-3.0-apis
#if [ "$1" = "0" ]; then
#    %{_sbindir}/update-alternatives --remove corba_apis %{_javadir}/geronimo-corba-3.0-apis.jar
#    %{_sbindir}/update-alternatives --remove corba_3_0_apis %{_javadir}/geronimo-corba-3.0-apis.jar
#fi
#%triggerpostun -n geronimo-ejb-2.1-api -- ejb <= 2.1-3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/ejb.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/ejb %{_javadir}/ejb.jar

%post -n geronimo-ejb-2_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/ejb.jar ejb %{_javadir}/geronimo-ejb-2.1-api.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_api.jar ejb_api %{_javadir}/geronimo-ejb-2.1-api.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_2_1_api.jar ejb_2_1_api %{_javadir}/geronimo-ejb-2.1-api.jar 20100

%preun -n geronimo-ejb-2_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove ejb %{_javadir}/geronimo-ejb-2.1-api.jar
    %{_sbindir}/update-alternatives --remove ejb_api %{_javadir}/geronimo-ejb-2.1-api.jar
    %{_sbindir}/update-alternatives --remove ejb_2_1_api %{_javadir}/geronimo-ejb-2.1-api.jar
fi
#%triggerpostun -n geronimo-ejb-3.0-api -- ejb <= 2.1-3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/ejb.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/ejb %{_javadir}/ejb.jar

%post -n geronimo-ejb-3_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/ejb.jar ejb %{_javadir}/geronimo-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_api.jar ejb_api %{_javadir}/geronimo-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_3_0_api.jar ejb_3_0_api %{_javadir}/geronimo-ejb-3.0-api.jar 30000

%preun -n geronimo-ejb-3_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove ejb %{_javadir}/geronimo-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_api %{_javadir}/geronimo-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_3_0_api %{_javadir}/geronimo-ejb-3.0-api.jar
fi

%post -n geronimo-el-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/el_api.jar el_api %{_javadir}/geronimo-el-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/el_1_0_api.jar el_1_0_api %{_javadir}/geronimo-el-1.0-api.jar 10000

%preun -n geronimo-el-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove el_api %{_javadir}/geronimo-el-1.0-api.jar
    %{_sbindir}/update-alternatives --remove el_1_0_api %{_javadir}/geronimo-el-1.0-api.jar
fi

%post -n geronimo-interceptor-3_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/interceptor_api.jar interceptor_api %{_javadir}/geronimo-interceptor-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/interceptor_3_0_api.jar interceptor_3_0_api %{_javadir}/geronimo-interceptor-3.0-api.jar 30000

%preun -n geronimo-interceptor-3_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove interceptor_api %{_javadir}/geronimo-interceptor-3.0-api.jar
    %{_sbindir}/update-alternatives --remove interceptor_3_0_api %{_javadir}/geronimo-interceptor-3.0-api.jar
fi
#%triggerpostun -n geronimo-j2ee-connector-1.5-api -- j2ee-connector <= 1.5-3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/j2ee-connector.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/j2ee-connector %{_javadir}/j2ee-connector.jar

%post -n geronimo-j2ee-connector-1_5-api
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-connector.jar j2ee-connector %{_javadir}/geronimo-j2ee-connector-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_api.jar j2ee_connector_api %{_javadir}/geronimo-j2ee-connector-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_1_5_api.jar j2ee_connector_1_5_api %{_javadir}/geronimo-j2ee-connector-1.5-api.jar 10500

%preun -n geronimo-j2ee-connector-1_5-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee-connector %{_javadir}/geronimo-j2ee-connector-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_api %{_javadir}/geronimo-j2ee-connector-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_1_5_api %{_javadir}/geronimo-j2ee-connector-1.5-api.jar
fi
#%triggerpostun -n geronimo-j2ee-deployment-1.1-api -- j2ee-deployment <= 1.1-1jpp_1rh
## Remove file from old non-free packages
#rm -f %{_javadir}/j2ee-deployment.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/j2ee-deployment %{_javadir}/j2ee-deployment.jar

%post -n geronimo-j2ee-deployment-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-deployment.jar j2ee-deployment %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_deployment_api.jar j2ee_deployment_api %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_deployment_1_1_api.jar j2ee_deployment_1_1_api %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar 10100

%preun -n geronimo-j2ee-deployment-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee-deployment %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_deployment_api %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_deployment_1_1_api %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar
fi

%post -n geronimo-javaee-deployment-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/javaee_deployment_api.jar javaee_deployment_api %{_javadir}/geronimo-javaee-deployment-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/javaee_deployment_1_1MR3_api.jar javaee_deployment_1_1MR3_api %{_javadir}/geronimo-javaee-deployment-1.1-api.jar 10100

%preun -n geronimo-javaee-deployment-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove javaee_deployment_api %{_javadir}/geronimo-javaee-deployment-1.1-api.jar
    %{_sbindir}/update-alternatives --remove javaee_deployment_1_1MR3_api %{_javadir}/geronimo-javaee-deployment-1.1-api.jar
fi
#%triggerpostun -n geronimo-jacc-1.0-api -- jacc <= 1.0-1jpp
## Remove file from old non-free packages
#rm -f %{_javadir}/jacc.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jacc %{_javadir}/jacc.jar

%post -n geronimo-jacc-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jacc.jar jacc %{_javadir}/geronimo-jacc-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_api.jar jacc_api %{_javadir}/geronimo-jacc-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_1_0_api.jar jacc_1_0_api %{_javadir}/geronimo-jacc-1.0-api.jar 10000

%preun -n geronimo-jacc-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jacc %{_javadir}/geronimo-jacc-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jacc_api %{_javadir}/geronimo-jacc-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jacc_1_0_api %{_javadir}/geronimo-jacc-1.0-api.jar
fi
#%triggerpostun -n geronimo-jacc-1.1-api -- jacc <= 1.0-1jpp
## Remove file from old non-free packages
#rm -f %{_javadir}/jacc.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jacc %{_javadir}/jacc.jar

%post -n geronimo-jacc-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_api.jar jacc_api %{_javadir}/geronimo-jacc-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_1_1_api.jar jacc_1_1_api %{_javadir}/geronimo-jacc-1.1-api.jar 10100

%preun -n geronimo-jacc-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jacc_api %{_javadir}/geronimo-jacc-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jacc_1_1_api %{_javadir}/geronimo-jacc-1.1-api.jar
fi
#%triggerpostun -n geronimo-j2ee-management-1.0-api -- j2ee-management <= 1.0-1jpp_1rh
## Remove file from old non-free packages
#rm -f %{_javadir}/j2ee-management.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/j2ee-management %{_javadir}/j2ee-management.jar

%post -n geronimo-j2ee-management-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-management.jar j2ee-management %{_javadir}/geronimo-j2ee-management-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_api.jar j2ee_management_api %{_javadir}/geronimo-j2ee-management-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_1_0_api.jar j2ee_management_1_0_api %{_javadir}/geronimo-j2ee-management-1.0-api.jar 10000

%preun -n geronimo-j2ee-management-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee-management %{_javadir}/geronimo-j2ee-management-1.0-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_api %{_javadir}/geronimo-j2ee-management-1.0-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_1_0_api %{_javadir}/geronimo-j2ee-management-1.0-api.jar
fi
#%triggerpostun -n geronimo-j2ee-management-1.1-api -- j2ee-management <= 1.0-1jpp_1rh
## Remove file from old non-free packages
#rm -f %{_javadir}/j2ee-management.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/j2ee-management %{_javadir}/j2ee-management.jar

%post -n geronimo-j2ee-management-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-management.jar j2ee-management %{_javadir}/geronimo-j2ee-management-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_api.jar j2ee_management_api %{_javadir}/geronimo-j2ee-management-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_1_1_api.jar j2ee_management_1_1_api %{_javadir}/geronimo-j2ee-management-1.1-api.jar 10100

%preun -n geronimo-j2ee-management-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee-management %{_javadir}/geronimo-j2ee-management-1.1-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_api %{_javadir}/geronimo-j2ee-management-1.1-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_1_1_api %{_javadir}/geronimo-j2ee-management-1.1-api.jar
fi
# Do not provide javamail as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'

%post -n geronimo-javamail-1_3_1-api
#%{_sbindir}/update-alternatives --install %{_javadir}/javamail.jar javamail %{_javadir}/geronimo-javamail-1.3.1-api.jar 10301
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_api.jar javamail_api %{_javadir}/geronimo-javamail-1.3.1-api.jar 10301
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_1_3_1_api.jar javamail_1_3_1_api %{_javadir}/geronimo-javamail-1.3.1-api.jar 10301

%preun -n geronimo-javamail-1_3_1-api
if [ "$1" = "0" ]; then
#    %{_sbindir}/update-alternatives --remove javamail %{_javadir}/geronimo-javamail-1.3.1-api.jar
    %{_sbindir}/update-alternatives --remove javamail_api %{_javadir}/geronimo-javamail-1.3.1-api.jar
    %{_sbindir}/update-alternatives --remove javamail_1_3_1_api %{_javadir}/geronimo-javamail-1.3.1-api.jar
fi
# Do not provide javamail as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'

%post -n geronimo-javamail-1_4-api
#%{_sbindir}/update-alternatives --install %{_javadir}/javamail.jar javamail %{_javadir}/geronimo-javamail-1.4-api.jar 10400
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_api.jar javamail_api %{_javadir}/geronimo-javamail-1.4-api.jar 10400
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_1_4_api.jar javamail_1_4_api %{_javadir}/geronimo-javamail-1.4-api.jar 10400

%preun -n geronimo-javamail-1_4-api
if [ "$1" = "0" ]; then
#    %{_sbindir}/update-alternatives --remove javamail %{_javadir}/geronimo-javamail-1.4-api.jar
    %{_sbindir}/update-alternatives --remove javamail_api %{_javadir}/geronimo-javamail-1.4-api.jar
    %{_sbindir}/update-alternatives --remove javamail_1_4_api %{_javadir}/geronimo-javamail-1.4-api.jar
fi
#%triggerpostun -n geronimo-jaxr-1.0-api -- jaxr-api <= 1.0-1jpp
## Remove file from old non-free packages
#rm -f %{_javadir}/jaxr.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jaxr %{_javadir}/jaxr.jar

%post -n geronimo-jaxr-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr.jar jaxr %{_javadir}/geronimo-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_api.jar jaxr_api %{_javadir}/geronimo-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_1_0_api.jar jaxr_1_0_api %{_javadir}/geronimo-jaxr-1.0-api.jar 10000

%preun -n geronimo-jaxr-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxr %{_javadir}/geronimo-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_api %{_javadir}/geronimo-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_1_0_api %{_javadir}/geronimo-jaxr-1.0-api.jar
fi

%post -n geronimo-jaxrpc-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaxrpc.jar jaxrpc %{_javadir}/geronimo-jaxrpc-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxrpc_api.jar jaxrpc_api %{_javadir}/geronimo-jaxrpc-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxrpc_1_1_api.jar jaxrpc_1_1_api %{_javadir}/geronimo-jaxrpc-1.1-api.jar 10100

%preun -n geronimo-jaxrpc-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxrpc %{_javadir}/geronimo-jaxrpc-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jaxrpc_api %{_javadir}/geronimo-jaxrpc-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jaxrpc_1_1_api %{_javadir}/geronimo-jaxrpc-1.1-api.jar
fi
#%triggerpostun -n geronimo-jms-1.1-api -- jms <= 1.1-3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/jms.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jms %{_javadir}/jms.jar

%post -n geronimo-jms-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jms.jar jms %{_javadir}/geronimo-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_api.jar jms_api %{_javadir}/geronimo-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_1_1_api.jar jms_1_1_api %{_javadir}/geronimo-jms-1.1-api.jar 10100

%preun -n geronimo-jms-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jms %{_javadir}/geronimo-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_api %{_javadir}/geronimo-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_1_1_api %{_javadir}/geronimo-jms-1.1-api.jar
fi

%post -n geronimo-jpa-3_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_api.jar jpa_api %{_javadir}/geronimo-jpa-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_3_0_api.jar jpa_3_0_api %{_javadir}/geronimo-jpa-3.0-api.jar 30000

%preun -n geronimo-jpa-3_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jpa_api %{_javadir}/geronimo-jpa-3.0-api.jar
    %{_sbindir}/update-alternatives --remove jpa_3_0_api %{_javadir}/geronimo-jpa-3.0-api.jar
fi

%post -n geronimo-jsp-2_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/geronimo-jsp-2.0-api.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_api.jar jsp_api %{_javadir}/geronimo-jsp-2.0-api.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_2_0_api.jar jsp_2_0_api %{_javadir}/geronimo-jsp-2.0-api.jar 20000

%preun -n geronimo-jsp-2_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp %{_javadir}/geronimo-jsp-2.0-api.jar
    %{_sbindir}/update-alternatives --remove jsp_api %{_javadir}/geronimo-jsp-2.0-api.jar
    %{_sbindir}/update-alternatives --remove jsp_2_0_api %{_javadir}/geronimo-jsp-2.0-api.jar
fi

%post -n geronimo-jsp-2_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/geronimo-jsp-2.1-api.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_api.jar jsp_api %{_javadir}/geronimo-jsp-2.1-api.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_2_1_api.jar jsp_2_1_api %{_javadir}/geronimo-jsp-2.1-api.jar 20100

%preun -n geronimo-jsp-2_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp %{_javadir}/geronimo-jsp-2.1-api.jar
    %{_sbindir}/update-alternatives --remove jsp_api %{_javadir}/geronimo-jsp-2.1-api.jar
    %{_sbindir}/update-alternatives --remove jsp_2_1_api %{_javadir}/geronimo-jsp-2.1-api.jar
fi
#%triggerpostun -n geronimo-jta-1.0.1B-api -- jta <= 1.0.1-0.b.3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/jta.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jta %{_javadir}/jta.jar

%post -n geronimo-jta-1_0_1B-api
%{_sbindir}/update-alternatives --install %{_javadir}/jta.jar jta %{_javadir}/geronimo-jta-1.0.1B-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_api.jar jta_api %{_javadir}/geronimo-jta-1.0.1B-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_1_0_1B_api.jar jta_1_0_1B_api %{_javadir}/geronimo-jta-1.0.1B-api.jar 10001

%preun -n geronimo-jta-1_0_1B-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jta %{_javadir}/geronimo-jta-1.0.1B-api.jar
    %{_sbindir}/update-alternatives --remove jta_api %{_javadir}/geronimo-jta-1.0.1B-api.jar
    %{_sbindir}/update-alternatives --remove jta_1_0_1B_api %{_javadir}/geronimo-jta-1.0.1B-api.jar
fi
#%triggerpostun -n geronimo-jta-1.1-api -- jta <= 1.0.1-0.b.3jpp_2rh
## Remove file from old non-free packages
#rm -f %{_javadir}/jta.jar
## Recreate the link as update-alternatives could not do it
#ln -s %{_sysconfdir}/alternatives/jta %{_javadir}/jta.jar

%post -n geronimo-jta-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jta.jar jta %{_javadir}/geronimo-jta-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jta_api.jar jta_api %{_javadir}/geronimo-jta-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jta_1_1_api.jar jta_1_1_api %{_javadir}/geronimo-jta-1.1-api.jar 10100

%preun -n geronimo-jta-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jta %{_javadir}/geronimo-jta-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_api %{_javadir}/geronimo-jta-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_1_1_api %{_javadir}/geronimo-jta-1.1-api.jar
fi

%post -n geronimo-qname-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/qname_api.jar qname_api %{_javadir}/geronimo-qname-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/qname_1_1_api.jar qname_1_1_api %{_javadir}/geronimo-qname-1.1-api.jar 10100

%postun -n geronimo-qname-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove qname_api %{_javadir}/geronimo-qname-1.1-api.jar
    %{_sbindir}/update-alternatives --remove qname_1_1_api %{_javadir}/geronimo-qname-1.1-api.jar
fi

%post -n geronimo-saaj-1_1-api
%{_sbindir}/update-alternatives --install %{_javadir}/saaj.jar saaj %{_javadir}/geronimo-saaj-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_api.jar saaj_api %{_javadir}/geronimo-saaj-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_1_1_api.jar saaj_1_1_api %{_javadir}/geronimo-saaj-1.1-api.jar 10100

%preun -n geronimo-saaj-1_1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove saaj %{_javadir}/geronimo-saaj-1.1-api.jar
    %{_sbindir}/update-alternatives --remove saaj_api %{_javadir}/geronimo-saaj-1.1-api.jar
    %{_sbindir}/update-alternatives --remove saaj_1_1_api %{_javadir}/geronimo-saaj-1.1-api.jar
fi

%post -n geronimo-servlet-2_4-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/geronimo-servlet-2.4-api.jar 20400
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_api.jar servlet_api %{_javadir}/geronimo-servlet-2.4-api.jar 20400
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_2_4_api.jar servlet_2_4_api %{_javadir}/geronimo-servlet-2.4-api.jar 20400

%preun -n geronimo-servlet-2_4-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet %{_javadir}/geronimo-servlet-2.4-api.jar
    %{_sbindir}/update-alternatives --remove servlet_api %{_javadir}/geronimo-servlet-2.4-api.jar
    %{_sbindir}/update-alternatives --remove servlet_2_4_api %{_javadir}/geronimo-servlet-2.4-api.jar
fi

%post -n geronimo-servlet-2_5-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/geronimo-servlet-2.5-api.jar 20500
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_api.jar servlet_api %{_javadir}/geronimo-servlet-2.5-api.jar 20500
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_2_5_api.jar servlet_2_5_api %{_javadir}/geronimo-servlet-2.5-api.jar 20500

%preun -n geronimo-servlet-2_5-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet %{_javadir}/geronimo-servlet-2.5-api.jar
    %{_sbindir}/update-alternatives --remove servlet_api %{_javadir}/geronimo-servlet-2.5-api.jar
    %{_sbindir}/update-alternatives --remove servlet_2_5_api %{_javadir}/geronimo-servlet-2.5-api.jar
fi

%post -n geronimo-stax-1_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/stax_api.jar stax_api %{_javadir}/geronimo-stax-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/stax_1_0_api.jar stax_1_0_api %{_javadir}/geronimo-stax-1.0-api.jar 10000

%preun -n geronimo-stax-1_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove stax_api %{_javadir}/geronimo-stax-1.0-api.jar
    %{_sbindir}/update-alternatives --remove stax_1_0_api %{_javadir}/geronimo-stax-1.0-api.jar
fi

%post -n geronimo-ws-metadata-2_0-api
%{_sbindir}/update-alternatives --install %{_javadir}/ws_metadata_api.jar ws_metadata_api %{_javadir}/geronimo-ws-metadata-2.0-api.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/ws_metadata_2_0_api.jar ws_metadata_2_0_api %{_javadir}/geronimo-ws-metadata-2.0-api.jar 20000

%preun -n geronimo-ws-metadata-2_0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove ws_metadata_api %{_javadir}/geronimo-ws-metadata-2.0-api.jar
    %{_sbindir}/update-alternatives --remove ws_metadata_2_0_api %{_javadir}/geronimo-ws-metadata-2.0-api.jar
fi

%post -n geronimo-j2ee-1_4-apis
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_api.jar jaf_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10002
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_1_0_2_api.jar jaf_1_0_2_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10002
%{_sbindir}/update-alternatives --install %{_javadir}/commonj_apis.jar commonj_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/commonj_1_1_apis.jar commonj_1_1_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/corba_apis.jar corba_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar 20300
%{_sbindir}/update-alternatives --install %{_javadir}/corba_2_3_apis.jar corba_2_3_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar 20300
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_api.jar ejb_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_2_1_api.jar ejb_2_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-connector.jar j2ee-connector %{_javadir}/geronimo-j2ee-1.4-apis.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_api.jar j2ee_connector_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_1_5_api.jar j2ee_1_5_connector_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_deployment_api.jar j2ee_deployment_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_deployment_1_1_api.jar j2ee_deployment_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_api.jar j2ee_management_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_management_1_0_api.jar j2ee_management_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_api.jar jacc_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_1_0_api.jar jacc_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_api.jar javamail_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10301
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_1_3_1_api.jar javamail_1_3_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10301
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_api.jar jaxr_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_1_0_api.jar jaxr_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxrpc_api.jar jaxrpc_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxrpc_1_1_api.jar jaxrpc_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_api.jar jms_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_1_1_api.jar jms_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_api.jar jsp_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_2_0_api.jar jsp_2_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jta_api.jar jta_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_1_0_1B_api.jar jta_1_0_1B_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/qname_api.jar qname_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/qname_1_1_api.jar qname_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_api.jar saaj_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_1_1_api.jar saaj_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_api.jar servlet_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 20400
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_2_4_api.jar servlet_2_4_api %{_javadir}/geronimo-j2ee-1.4-apis.jar 20400

%preun -n geronimo-j2ee-1_4-apis
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaf_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jaf_1_0_2_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove commonj_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove commonj_1_1_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove corba_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove corba_2_3_apis %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove ejb_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove ejb_2_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee-connector %{_javadir}/geronimo-j2ee-connector-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_1_5_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee_deployment_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee_deployment_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove j2ee_management_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jacc_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jacc_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove javamail_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove javamail_1_3_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jaxr_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jaxr_1_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jaxrpc_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jaxrpc_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jms_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jms_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jsp_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jsp_2_0_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jta_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove jta_1_0_1B_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove qname_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove qname_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove saaj_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove saaj_1_1_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove servlet_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
    %{_sbindir}/update-alternatives --remove servlet_2_4_api %{_javadir}/geronimo-j2ee-1.4-apis.jar
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%dir %{_javadir}/geronimo
%{_javadir}/geronimo/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/*

%files poms
%defattr(0644,root,root,0755)
%config %{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files -n geronimo-commonj-1_1-apis
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-commonj-1.1-apis*.jar
%ghost %{_javadir}/commonj_1_1_apis.jar
%ghost %{_javadir}/commonj_apis.jar
%doc %{_docdir}/%{name}-%{version}/commonj-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/commonj-1.1
%dir %{_docdir}/%{name}-%{version}

%files -n geronimo-jaf-1_0_2-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jaf-1.0.2-api*.jar
%doc %{_docdir}/%{name}-%{version}/jaf-1.0.2/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jaf-1.0.2
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jaf.jar
%ghost %{_javadir}/jaf_api.jar
%ghost %{_javadir}/jaf_1_0_2_api.jar

%files -n geronimo-jaf-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jaf-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jaf-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jaf-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jaf.jar
%ghost %{_javadir}/jaf_api.jar
%ghost %{_javadir}/jaf_1_1_api.jar

%files -n geronimo-annotation-1_0-api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/annotation-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/annotation-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/annotation_api.jar
%ghost %{_javadir}/annotation_1_0_api.jar
%{_javadir}/geronimo-annotation-1.0-api*.jar

%files -n geronimo-corba-1_0-apis
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-corba-1.0-apis*.jar
#%doc %{_docdir}/%{name}-%{version}/corba-1.0/LICENSE.txt
%ghost %{_javadir}/corba_apis.jar
%ghost %{_javadir}/corba_1_0_apis.jar

%files -n geronimo-corba-2_3-apis
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-corba-2.3-apis*.jar
%doc %{_docdir}/%{name}-%{version}/corba-2.3/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/corba-2.3
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/corba_apis.jar
%ghost %{_javadir}/corba_2_3_apis.jar
#% files -n geronimo-corba-3.0-apis
#%defattr(0644,root,root,0755)
#%{_javadir}/geronimo-corba-3.0-apis*.jar
#%doc %{_docdir}/%{name}-%{version}/corba-3.0/LICENSE.txt
#%ghost %{_javadir}/corba_apis.jar
#%ghost %{_javadir}/corba_3_0_apis.jar
#%if %{gcj_support}
#%dir %{_libdir}/gcj/%{name}
#%attr(-,root,root) %{_libdir}/gcj/%{name}/geronimo-corba-3.0-apis-%{version}.jar.*
#%endif

%files -n geronimo-ejb-2_1-api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/ejb-2.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/ejb-2.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/ejb.jar
%ghost %{_javadir}/ejb_api.jar
%ghost %{_javadir}/ejb_2_1_api.jar
%{_javadir}/geronimo-ejb-2.1-api*.jar

%files -n geronimo-ejb-3_0-api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/ejb-3.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/ejb-3.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/ejb.jar
%ghost %{_javadir}/ejb_api.jar
%ghost %{_javadir}/ejb_3_0_api.jar
%{_javadir}/geronimo-ejb-3.0-api*.jar

%files -n geronimo-el-1_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-el-1.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/el-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/el-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/el_api.jar
%ghost %{_javadir}/el_1_0_api.jar

%files -n geronimo-interceptor-3_0-api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/interceptor-3.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/interceptor-3.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/interceptor_api.jar
%ghost %{_javadir}/interceptor_3_0_api.jar
%{_javadir}/geronimo-interceptor-3.0-api*.jar

%files -n geronimo-j2ee-1_4-apis
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-j2ee-1.4-apis*.jar
%doc %{_docdir}/%{name}-%{version}/j2ee-1.4/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/j2ee-1.4
%dir %{_docdir}/%{name}-%{version}

%files -n geronimo-j2ee-connector-1_5-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-j2ee-connector-1.5-api*.jar
%doc %{_docdir}/%{name}-%{version}/j2ee-connector-1.5/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/j2ee-connector-1.5
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/j2ee-connector.jar
%ghost %{_javadir}/j2ee_connector_api.jar
%ghost %{_javadir}/j2ee_connector_1_5_api.jar

%files -n geronimo-j2ee-deployment-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-j2ee-deployment-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/j2ee-deployment-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/j2ee-deployment-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/j2ee-deployment.jar
%ghost %{_javadir}/j2ee_deployment_api.jar
%ghost %{_javadir}/j2ee_deployment_1_1_api.jar

%files -n geronimo-javaee-deployment-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-javaee-deployment-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/javaee-deployment-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/javaee-deployment-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/javaee_deployment_api.jar
%ghost %{_javadir}/javaee_deployment_1_1MR3_api.jar

%files -n geronimo-jacc-1_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jacc-1.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/jacc-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jacc-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jacc.jar
%ghost %{_javadir}/jacc_api.jar
%ghost %{_javadir}/jacc_1_0_api.jar

%files -n geronimo-jacc-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jacc-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jacc-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jacc-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jacc_api.jar
%ghost %{_javadir}/jacc_1_1_api.jar

%files -n geronimo-j2ee-management-1_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-j2ee-management-1.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/j2ee-management-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/j2ee-management-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/j2ee-management.jar
%ghost %{_javadir}/j2ee_management_api.jar
%ghost %{_javadir}/j2ee_management_1_0_api.jar

%files -n geronimo-j2ee-management-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-j2ee-management-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/j2ee-management-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/j2ee-management-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/j2ee-management.jar
%ghost %{_javadir}/j2ee_management_api.jar
%ghost %{_javadir}/j2ee_management_1_1_api.jar

%files -n geronimo-javamail-1_3_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-javamail-1.3.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/javamail-1.3.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/javamail-1.3.1
%dir %{_docdir}/%{name}-%{version}
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#%ghost %{_javadir}/javamail.jar
%ghost %{_javadir}/javamail_api.jar
%ghost %{_javadir}/javamail_1_3_1_api.jar

%files -n geronimo-javamail-1_4-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-javamail-1.4-api*.jar
%doc %{_docdir}/%{name}-%{version}/javamail-1.4/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/javamail-1.4
%dir %{_docdir}/%{name}-%{version}
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#%ghost %{_javadir}/javamail.jar
%ghost %{_javadir}/javamail_api.jar
%ghost %{_javadir}/javamail_1_4_api.jar

%files -n geronimo-jaxr-1_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jaxr-1.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/jaxr-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jaxr-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jaxr.jar
%ghost %{_javadir}/jaxr_api.jar
%ghost %{_javadir}/jaxr_1_0_api.jar

%files -n geronimo-jaxrpc-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jaxrpc-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jaxrpc-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jaxrpc-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jaxrpc.jar
%ghost %{_javadir}/jaxrpc_api.jar
%ghost %{_javadir}/jaxrpc_1_1_api.jar

%files -n geronimo-jms-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jms-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jms-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jms-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jms.jar
%ghost %{_javadir}/jms_api.jar
%ghost %{_javadir}/jms_1_1_api.jar

%files -n geronimo-jpa-3_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jpa-3.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/jpa-3.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jpa-3.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jpa_api.jar
%ghost %{_javadir}/jpa_3_0_api.jar

%files -n geronimo-jsp-2_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jsp-2.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/jsp-2.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jsp-2.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jsp.jar
%ghost %{_javadir}/jsp_api.jar
%ghost %{_javadir}/jsp_2_0_api.jar

%files -n geronimo-jsp-2_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jsp-2.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jsp-2.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jsp-2.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jsp.jar
%ghost %{_javadir}/jsp_api.jar
%ghost %{_javadir}/jsp_2_1_api.jar

%files -n geronimo-jta-1_0_1B-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jta-1.0.1B-api*.jar
%doc %{_docdir}/%{name}-%{version}/jta-1.0.1B/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jta-1.0.1B
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jta.jar
%ghost %{_javadir}/jta_api.jar
%ghost %{_javadir}/jta_1_0_1B_api.jar

%files -n geronimo-jta-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-jta-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/jta-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/jta-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/jta.jar
%ghost %{_javadir}/jta_api.jar
%ghost %{_javadir}/jta_1_1_api.jar

%files -n geronimo-qname-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-qname-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/qname-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/qname-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/qname_api.jar
%ghost %{_javadir}/qname_1_1_api.jar

%files -n geronimo-saaj-1_1-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-saaj-1.1-api*.jar
%doc %{_docdir}/%{name}-%{version}/saaj-1.1/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/saaj-1.1
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/saaj.jar
%ghost %{_javadir}/saaj_api.jar
%ghost %{_javadir}/saaj_1_1_api.jar

%files -n geronimo-servlet-2_4-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-servlet-2.4-api*.jar
%doc %{_docdir}/%{name}-%{version}/servlet-2.4/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/servlet-2.4
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/servlet.jar
%ghost %{_javadir}/servlet_api.jar
%ghost %{_javadir}/servlet_2_4_api.jar

%files -n geronimo-servlet-2_5-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-servlet-2.5-api*.jar
%doc %{_docdir}/%{name}-%{version}/servlet-2.5/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/servlet-2.5
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/servlet.jar
%ghost %{_javadir}/servlet_api.jar
%ghost %{_javadir}/servlet_2_5_api.jar

%files -n geronimo-stax-1_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-stax-1.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/stax-1.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/stax-1.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/stax_api.jar
%ghost %{_javadir}/stax_1_0_api.jar

%files -n geronimo-ws-metadata-2_0-api
%defattr(0644,root,root,0755)
%{_javadir}/geronimo-ws-metadata-2.0-api*.jar
%doc %{_docdir}/%{name}-%{version}/ws-metadata-2.0/LICENSE.txt
%dir %{_docdir}/%{name}-%{version}/ws-metadata-2.0
%dir %{_docdir}/%{name}-%{version}
%ghost %{_javadir}/ws_metadata_api.jar
%ghost %{_javadir}/ws_metadata_2_0_api.jar



%changelog
* Tue Jan 25 2011 dmorgan <dmorgan> 1.2-1.mga1
+ Revision: 39580
- Install java-rpmbuild
- Use java 1.6.0
  remove unknown macro
- Add missing source
- Add missing source
- Add missing source
- Add missing source
- Add missing source
- Add missing source
- Update to version 1.2
- imported package geronimo-specs


* Tue Jun 17 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-4.0.9mdv2009.0
+ Revision: 221392
- fix build and disable gcj_compile

* Thu Feb 21 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-4.0.9mdv2008.1
+ Revision: 173439
- add javax.activation depmap

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 0:1.1-4.0.8mdv2008.1
+ Revision: 149386
- jaf conflicts with old classpathx-jaf

* Fri Jan 11 2008 David Walluck <walluck@mandriva.org> 0:1.1-4.0.7mdv2008.1
+ Revision: 147838
- bump release
- fix javamail provides

* Fri Jan 11 2008 David Walluck <walluck@mandriva.org> 0:1.1-4.0.6mdv2008.1
+ Revision: 147810
- enable javamail alternative

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 0:1.1-4.0.5mdv2008.1
+ Revision: 147781
- add activation.jar alternative link for jaf

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1-4.0.4mdv2008.1
+ Revision: 120883
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Dec 15 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-4.0.3mdv2008.1
+ Revision: 120461
- let geronimo provide javax.mail and javax.servlete for maven

* Fri Dec 14 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-4.0.2mdv2008.1
+ Revision: 120251
- fix geronimo-specs-qname postun

* Fri Dec 14 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-4.0.1mdv2008.1
+ Revision: 120192
- fix Group:
- more parts disabled due to maven idlj plugin in contrib
- add condition for corba packages until mojo-maven2-plugin-idlj is in the same repo as geronimo-specs
- remove jacorb dependency
- add sources
- new version (jpp sync)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0-3.8.1mdv2008.0
+ Revision: 87378
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 David Walluck <walluck@mandriva.org> 0:1.0-3.8.0mdv2008.0
+ Revision: 83043
- remove mockobjects BuildRequires

  + Anssi Hannula <anssi@mandriva.org>
    - use xml-commons-resolver12 explicitely instead of the generic
      xml-commons-resolver which is provided by multiple packages
      (see bug #31473)


* Mon Dec 18 2006 David Walluck <walluck@mandriva.org> 1.0-3.6mdv2007.0
+ Revision: 98929
- bump release due to upload queue bug
- bump release
- Obsoletes: geronimo-specs-compat

* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 0:1.0-3.3mdv2007.1
+ Revision: 98106
- rebuild
- Import geronimo-specs

* Sat Aug 05 2006 David Walluck <walluck@mandriva.org> 0:1.0-3.2mdv2007.0
- don't provide javamail due to lack of alternatives support

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:1.0-3.1mdv2007.0
- bump release

* Fri Jun 23 2006 David Walluck <walluck@mandriva.org> 0:1.0-3.0.2mdv2007.0
- provide javamail

* Thu Jun 08 2006 David Walluck <walluck@mandriva.org> 0:1.0-3.0.1mdv2007.0
- 1.0

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:1.0-0.m2.2.1mdk
- release

* Sat Jul 23 2005 Gary Benson <gbenson at redhat.com> 0:1.0-0.M2.2jpp_4fc
- Switch to aot-compile-rpm.
- Also build jta.
- Build on ia64, ppc64, s390 and s390x.

* Thu Jun 30 2005 Gary Benson <gbenson at redhat.com> 0:1.0-0.M2.2jpp_3fc
- Add dependency on the main package to the compatibility subpackage.

* Tue Jun 28 2005 Gary Benson <gbenson at redhat.com> 0:1.0-0.M2.2jpp_2fc
- BC-compile.

* Thu Jun 16 2005 Gary Benson <gbenson at redhat.com> 0:1.0-0.M2.2jpp_1fc
- Build into Fedora.

* Sat Jun 04 2005 Gary Benson <gbenson at redhat.com>
- Only build the bits that we need, and don't use Maven to do it.
- Add a compatibility subpackage to provide dependencies.
- Add NOTICE file as per Apache License version 2.0.

* Thu Feb 03 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.2jpp
- Process project.xml files with saxon
- Don't tamper with $HOME
- Don't use build-jar-repository: [xyz].jar will not work with geronimo deploy

* Sat Oct 09 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.1jpp
- Upgrade to M2

* Fri Oct 01 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M1.1jpp
- First JPackage build

